{% extends 'base.html.twig' %}

{% block title %}
	<title>Mes favoris</title>
{% endblock %}

{% block stylesheets %}
	{{ parent() }}
	 <link href="../css/compte.css" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block body %}
	<div class="container-fluid mt-5">
		<div class="row">
			{% include "personnal_information/leftNavBar.html.twig" %}
			<div class="col-md-9">
				<div class="container">
					<h1 id="info">Favoris</h1>
					<div class="row">
						{% for Pictures, fav in favoris %}
							<div class="col-12 mb-4">
								<div class="card car-item col-12">
									<div class="card-body">
										<div class="row">
											<div class="col-md-2">
												{% if imagePaths[Pictures] is defined %}
													{% if fav.vehicleId.vehicleFiltersId.fourwheels %}
														<img src="{{ asset('images/cars/' ~ imagePaths[Pictures]) }}" alt="{{ fav.vehicleId.vehicleFiltersId.model }}" class="card-img-top" style="max-width: 200px;">
													{% elseif fav.vehicleId.vehicleFiltersId.twowheels %}
														<img src="{{ asset('images/bikes/' ~ imagePaths[Pictures]) }}" alt="{{ fav.vehicleId.vehicleFiltersId.model }}" class="card-img-top" style="max-width: 200px;">
													{% endif %}
												{% else %}
													<img src="{{ asset('path/vers/default-image.png') }}" alt="Image par défaut" class="card-img-top" style="max-width: 200px;">
												{% endif %}
											</div>
											<div class="col-md-10">
												<div class="d-flex flex-column">
													<div class="d-flex flex-row justify-content-between">
														<div class="d-flex flex-column">
															<p class="card-text mb-1">{{ fav.vehicleId.vehicleFiltersId.constructor }}</p>
															<p class="card-text pr-1 mb-1">{{ fav.vehicleId.vehicleFiltersId.model }}</p>
														</div>
														<div class="d-flex flex-column text-center">
															<p class="card-text mb-1">{{ fav.vehicleId.vehicleFiltersId.buyprice }}€</p>
															<p class="card-text pr-1 mb-1">dès
																{{ fav.vehicleId.vehicleFiltersId.locationprice }}€ / mois</p>
														</div>
													</div>
													<div class="d-flex flex-row justify-content-between mt-3">
														<div class="d-flex flex-row">
															<p class="card-text">{{ fav.vehicleId.vehicleFiltersId.fueltype }}</p>
															-
															<p class="card-text">{{ fav.vehicleId.vehicleFiltersId.fiscalhorsepower }}CV</p>
														</div>
														
													</div>
													<div class="d-flex flex-row mt-3">
														<p class="card-text pr-1">{{ fav.vehicleId.productionYear|date('Y') }}</p>
														|
														<p class="card-text pl-1">{{ fav.vehicleId.kilometers }}km</p>
													</div>
												</div>
											</div>
											<div class="d-flex justify-content-end align-items-center">
												<a href="{{ path('app_delete_favoris', {'id': fav.id}) }}" class="mr-5">
													Retirer des favoris</a>
												<a href="{{ path('app_product_listing', {'id': fav.vehicleId.id}) }}" class="btnR">
													Voir l'annonce
												</a>
											</div>
										</div>
									</div>
								</div>
							</div>
						{% endfor %}
					</div>
				</div>
			</div>
		</div>
	</div>
{% endblock %}
